Live News 1.8 v1.8

Release Notes

This is the basic version and based on the feedback and suggestions, the next version will be released.

  • Works great in every browser except for IE. Layout ends up all over the place.

  • Found the problem. The "deprecated" message when logged in as admin sends the layout all screwed. Changed developer settings to log to screen to put warnings on bottom. No problem for users.

    Work great!

  • Gave up getting Yahoo Pipes to work with this. Instead I had to use the following to get multiple feeds into one feed and limit the posts from each to 5:

    $feed->set_feed_url(array(

    'http://your feed 1 here',

    'http://your feed 2 here',

    'http://your feed 3 here'

    ));

    $feed->set_item_limit(5);

    This is an excellent plug for getting instant content for a site. Thanks Purus. Can you please consider updating the plugin to use my method above?

  • Nudeler2

    Deprecated messages:

    Is there someone who has managed to update the code?

  • Nudeler2

    The only error that remains is:

     

    Deprecated in 1.8: settings/RSSNewsFeed/edit was deprecated in favor of plugins/RSSNewsFeed/settings Called from [#8] /var/www/webx/html/domain/elgg/engine/lib/views.php:503

     

    How to get rid of this?

  • @Nudeler2:

    Move and rename the file

    views/default/settings/RSSNewsFeed/edit.php

    to

    views/default/plugins/RSSNewsFeed/settings.php

  • Nudeler2

    @iionly

    Thanks.

    But I tried this yesterday, so as Lee suggested (page 2), but it's not working (elgg 1.8.4).

    I do so and then receive in Config -> Settings -> RSSNewsFeed, the error:

    Unbekannter Adminbereich

  • Nudeler2

    Correction:

    I just loaded the page anew, but then receive the error: Unbekannter Adminbereich

    The option -> RSSNewsFeed in -> Config -> Settings isn't there anymore.

  • @Nudeler2:

    As I don't use this plugin I just made a quick test on a test installation. I created the folder(s) views/default/plugins/RSSNewsFeed and put edit.php renamed to settings.php into it. It worked. Maybe you need to flush the site cache on your site (alternatively disable and then re-enable the plugin). If it still doesn't work check the spelling of the folder names.

  • Nudeler2

    @iionly

    Thanks again for quick response.

    You are right, I only clicked upgrade.php, but did not flush the cache.

    Now it's completely error-free.

    Thanks.

  • I like this great plugin. But how to get it on my sidebar ?

  • anyone can help me please ?

  • Anyone can upgrade this excellent plugin to Elgg 2.3 ?

     

Purus

Its long time guys to be here.. I am now concentrating on my own plugin development projects for my customers. So not able to be active as before in ELGG.

Stats

  • Category: Media
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 3974
  • Recommendations: 17

Other Projects

View Purus's plugins